Package org.linphone.core

# Enum Class AudioDevice.Capabilities

java.lang.Object
java.lang.Enum<AudioDevice.Capabilities>
org.linphone.core.AudioDevice.Capabilities

All Implemented Interfaces:
  `Serializable`, `Comparable<AudioDevice.Capabilities>`, `Constable`

Enclosing interface:
  `AudioDevice`

public static enum AudioDevice.Capabilities extends Enum<AudioDevice.Capabilities>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CapabilityAll`
Can play and record audio.
`CapabilityPlay`
Can play audio.
`CapabilityRecord`
Can record audio.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static AudioDevice.Capabilities`
`fromInt(int value)`
`int`
`toInt()`
`static AudioDevice.Capabilities`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AudioDevice.Capabilities[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CapabilityRecord

public static final AudioDevice.Capabilities CapabilityRecord
Can record audio.

### CapabilityPlay

public static final AudioDevice.Capabilities CapabilityPlay
Can play audio.

### CapabilityAll

public static final AudioDevice.Capabilities CapabilityAll
Can play and record audio.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static AudioDevice.Capabilities[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AudioDevice.Capabilities valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static AudioDevice.Capabilities fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()